DF(1)

NAME
df - Show information about the file system on which each FILE resides, or all file systems by default.

SYNOPSIS
df [--help] [-a|--all] [-B|--block-size] [--total] [-h|--human-readable] [-H|--si] [-i|--inodes] [-k ] [-l|--local] [--no-sync] [--output] [-P|--portability] [--sync] [-t|--type] [-T|--print-type] [-x|--exclude-type] [-V|--version] [paths]

DESCRIPTION
Show information about the file system on which each FILE resides, or all file systems by default.

OPTIONS

--help
    Print help information.

-a, --all
    include dummy file systems

-B, --block-size <SIZE>
    scale sizes by SIZE before printing them; e.g. '-BM' prints sizes in units of 1,048,576 bytes

--total
    produce a grand total

-h, --human-readable
    print sizes in human readable format (e.g., 1K 234M 2G)

-H, --si
    likewise, but use powers of 1000 not 1024

-i, --inodes
    list inode information instead of block usage

-k  like --block-size=1K

-l, --local
    limit listing to local file systems

--no-sync
    do not invoke sync before getting usage info (default)

--output[=<FIELD_LIST>...] [default: source,size,used,avail,pcent,target]
    use output format defined by FIELD_LIST, or print all fields if FIELD_LIST is omitted.

    Possible values:

    •   source

    •   fstype

    •   itotal

    •   iused

    •   iavail

    •   ipcent

    •   size

    •   used

    •   avail

    •   pcent

    •   file

    •   target

-P, --portability
    use the POSIX output format

--sync
    invoke sync before getting usage info (non-windows only)

-t, --type <TYPE>
    limit listing to file systems of type TYPE

-T, --print-type
    print file system type

-x, --exclude-type <TYPE>
    limit listing to file systems not of type TYPE

-V, --version
    Print version

[paths]

EXTRA
Display values are in units of the first available SIZE from --block-size, and the DF_BLOCK_SIZE, BLOCK_SIZE and BLOCKSIZE environment variables. Otherwise, units default to 1024 bytes (or 512 if POSIXLY_CORRECT is set).

SIZE is an integer and optional unit (example: 10M is 10*1024*1024). Units are K, M, G, T, P, E, Z, Y (powers of 1024) or KB, MB,... (powers of 1000). Units can be decimal, hexadecimal, octal, binary.

VERSION
v(uutils coreutils) 0.10.0

EXAMPLES
Display all filesystems and their disk usage (using 512-byte units):

df

Display the filesystem containing the specified file or directory:

df path/to/file_or_directory

Use [k]ibibyte (1024 byte) units when showing size figures:

df -k

Display information in a portable way:

df -P

The examples are provided by the tldr-pages project <https://tldr.sh> under the CC BY 4.0 License. Please note that, as uutils is a work in progress, some examples might fail.